IF OBJECT_ID('[NuGetPackages_Extended]') IS NOT NULL DROP VIEW [NuGetPackages_Extended]
GO

CREATE VIEW [NuGetPackages_Extended]
AS

	SELECT
		 P.[Package_Id]
		,P.[Version_Text]
		,P.[TargetFrameworks_Text]
		,P.[Published_Date]
		,P.[Package_Size]
		,P.[PackageHash_Bytes]
		,P.[PackageHash_SHA1_Bytes]
		,P.[Feed_Id]
		,[Version_Download_Count] = P.[Download_Count]
        ,[Total_Download_Count] = (SELECT SUM(P2.[Download_Count]) FROM [NuGetPackages] P2 WHERE P2.[Feed_Id] = P.[Feed_Id] AND P2.[Package_Id] = P.[Package_Id])
		,P.[NuspecFile_Bytes]
		,P.[Symbols_Indicator]
		,P.[Source_Indicator]
		,P.[Cached_Indicator]

		,F.[Feed_Name]
		,F.[Feed_Description]
		,F.[FeedType_Name]

		,P.[Prerelease_Indicator]

		,P.[Listed_Indicator]

		,P.[LastDownloaded_Date]

		,[LatestAbsoluteVersion_Indicator] = CASE WHEN (SELECT TOP 1 P2.[Version_Text]
		                                                  FROM [NuGetPackages] P2
									                     WHERE P2.[Feed_Id] = P.[Feed_Id]
									                       AND P2.[Package_Id] = P.[Package_Id]
									                     ORDER BY P2.[Major_Number] DESC, P2.[Minor_Number] DESC, P2.[Patch_Number] DESC, P2.[Build_Number] DESC, P2.[Prerelease_Indicator], P2.[Prerelease_Text] DESC)
												       = P.[Version_Text] THEN 'Y' ELSE 'N' END

		,[LatestStableVersion_Indicator] = CASE WHEN P.[Prerelease_Indicator] = 'N' AND (SELECT TOP 1 P2.[Version_Text]
		                                                FROM [NuGetPackages] P2
									                   WHERE P2.[Feed_Id] = P.[Feed_Id]
									                     AND P2.[Package_Id] = P.[Package_Id]
														 AND P2.[Prerelease_Indicator] = 'N'
									                   ORDER BY P2.[Major_Number] DESC, P2.[Minor_Number] DESC, P2.[Patch_Number] DESC, P2.[Build_Number] DESC)
												       = P.[Version_Text] THEN 'Y' ELSE 'N' END

	  FROM [NuGetPackages] P
		   INNER JOIN [Feeds] F
	               ON P.[Feed_Id] = F.[Feed_Id]
GO