EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Packages_GetPackageDeployments',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'PackageDeployments',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a list of package deployments for the specified package or package version.'
GO

IF OBJECT_ID('[Packages_GetPackageDeployments]') IS NOT NULL DROP PROCEDURE [Packages_GetPackageDeployments]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Packages_GetPackageDeployments]
(
    @Feed_Id INT = NULL,
    @Package_Name NVARCHAR(200) = NULL,
    @Group_Name NVARCHAR(200) = NULL,
    @Version_Text NVARCHAR(100) = NULL
)
AS
BEGIN

	SET NOCOUNT ON
    
    SELECT * 
      FROM [PackageDeployments]
     WHERE (@Package_Name IS NULL OR [Package_Name] = @Package_Name)
       AND (@Feed_Id IS NULL OR [Feed_Id] = @Feed_Id)
       AND (@Version_Text IS NULL OR [Version_Text] = @Version_Text)
       AND (@Group_Name IS NULL OR [Group_Name] = @Group_Name OR [Group_Name] IS NULL)

END
GO

GRANT EXECUTE ON [Packages_GetPackageDeployments] TO [ProGetUser_Role]
GO