EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ProGetPackages_GetPackageCount',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ 'Package_Count',
    /* Description_Text        */ 'Gets the number of packages in a ProGet feed.'
GO

IF OBJECT_ID('[ProGetPackages_GetPackageCount]') IS NOT NULL DROP PROCEDURE [ProGetPackages_GetPackageCount]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ProGetPackages_GetPackageCount]
(
	@Feed_Id INT,
	@IncludeVersions_Indicator YNINDICATOR,
	@Package_Count INT = NULL OUT
)
AS
BEGIN

SET NOCOUNT ON

	IF @IncludeVersions_Indicator = 'Y'
	BEGIN
		SELECT @Package_Count = COUNT(*)
		  FROM [ProGetPackageVersions] PGPV
		       INNER JOIN [ProGetPackages] PGP
			           ON PGP.[ProGetPackage_Id] = PGPV.[ProGetPackage_Id]
		 WHERE PGP.[Feed_Id] = @Feed_Id
	END
	ELSE
	BEGIN
		SELECT @Package_Count = COUNT(*)
		  FROM [ProGetPackages] PGP
		 WHERE PGP.[Feed_Id] = @Feed_Id
	END

END
GO

GRANT EXECUTE ON [ProGetPackages_GetPackageCount] TO [ProGetUser_Role]
GO