EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Vulnerabilities_DeleteComment',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a vulnerability comment.'
GO

IF OBJECT_ID('[Vulnerabilities_DeleteComment]') IS NOT NULL DROP PROCEDURE [Vulnerabilities_DeleteComment]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Vulnerabilities_DeleteComment]
(
	@VulnerabilityComment_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE
	  FROM [VulnerabilityComments]
	 WHERE [VulnerabilityComment_Id] = @VulnerabilityComment_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Vulnerabilities_DeleteComment] TO [ProGetUser_Role]
GO