EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Vulnerabilities_DeleteVulnerability',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a known vulnerability.'
GO

IF OBJECT_ID('[Vulnerabilities_DeleteVulnerability]') IS NOT NULL DROP PROCEDURE [Vulnerabilities_DeleteVulnerability]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Vulnerabilities_DeleteVulnerability]
(
	@Vulnerability_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE
	  FROM [Vulnerabilities]
	 WHERE [Vulnerability_Id] = @Vulnerability_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Vulnerabilities_DeleteVulnerability] TO [ProGetUser_Role]
GO